Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514111 - Review Request: ghc-servant-server - A family of combinators for defining webservices APIs and serving them
Summary: Review Request: ghc-servant-server - A family of combinators for defining web...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1513609 1514057
Blocks: 1514123
TreeView+ depends on / blocked
 
Reported: 2017-11-16 16:44 UTC by David Shea
Modified: 2017-12-12 13:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 11:19:38 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description David Shea 2017-11-16 16:44:41 UTC
Spec URL: https://raw.githubusercontent.com/weldr/bdcs-copr/master/ghc-servant-server/ghc-servant-server.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/@weldr/bdcs-haskell-deps/fedora-27-x86_64/00662851-ghc-servant-server/ghc-servant-server-0.12-2.fc27.src.rpm
Description: A family of combinators for defining webservices APIs and serving them

You can learn about the basics in the
<http://haskell-servant.readthedocs.org/en/stable/tutorial/index.html
tutorial>.

<https://github.com/haskell-servant/servant/blob/master/servant-server/example/greet.hs
Here> is a runnable example, with comments, that defines a dummy API and
implements a webserver that serves this API, using this package.

Fedora Account System Username: dshea

Comment 1 Robert-André Mauchin 2017-11-16 21:07:23 UTC
Package accepted.

Comment 2 Gwyn Ciesla 2017-11-16 22:50:18 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-servant-server

Comment 3 Fedora Update System 2017-11-29 15:44:12 UTC
ghc-hspec-core-2.4.4-1.fc26 ghc-hspec-2.4.4-1.fc26 ghc-servant-0.12-1.fc26 ghc-servant-client-core-0.12-1.fc26 ghc-servant-server-0.12-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1e88ebe293

Comment 4 Fedora Update System 2017-11-30 16:05:13 UTC
ghc-wreq-0.5.1.0-1.fc27 ghc-tar-conduit-0.1.1-1.fc27 ghc-servant-server-0.12-1.fc27 ghc-servant-options-0.1.0.0-1.fc27 ghc-servant-foreign-0.10.2-1.fc27 ghc-servant-client-core-0.12-1.fc27 ghc-servant-client-0.12.0.1-1.fc27 ghc-servant-0.12-1.fc27 ghc-RSA-2.2.0-1.fc27 ghc-mono-traversable-1.0.2-1.fc27 ghc-lzma-conduit-1.1.3.3-1.fc27 ghc-hspec-core-2.4.4-1.fc27 ghc-hspec-2.4.4-1.fc27 ghc-haskell-gi-overloading-1.0-2.fc27 ghc-haskell-gi-0.20.3-1.fc27 ghc-gi-ostree-1.0.5-1.fc27 ghc-gi-gobject-2.0.15-1.fc27 ghc-gi-glib-2.0.14-1.fc27 ghc-gi-gio-2.0.14-1.fc27 ghc-content-store-0.2.0-1.fc27 ghc-conduit-combinators-1.1.1-1.fc27 ghc-codec-rpm-0.2.0-1.fc27 ghc-authenticate-oauth-1.6-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ab1fe26287

Comment 5 Fedora Update System 2017-12-02 19:54:01 UTC
ghc-RSA-2.2.0-1.fc27, ghc-authenticate-oauth-1.6-1.fc27, ghc-codec-rpm-0.2.0-1.fc27, ghc-conduit-combinators-1.1.1-1.fc27, ghc-content-store-0.2.0-1.fc27, ghc-gi-gio-2.0.14-1.fc27, ghc-gi-glib-2.0.14-1.fc27, ghc-gi-gobject-2.0.15-1.fc27, ghc-gi-ostree-1.0.5-1.fc27, ghc-haskell-gi-0.20.3-1.fc27, ghc-haskell-gi-overloading-1.0-2.fc27, ghc-hspec-2.4.4-1.fc27, ghc-hspec-core-2.4.4-1.fc27, ghc-lzma-conduit-1.1.3.3-1.fc27, ghc-mono-traversable-1.0.2-1.fc27, ghc-servant-0.12-1.fc27, ghc-servant-client-0.12.0.1-1.fc27, ghc-servant-client-core-0.12-1.fc27, ghc-servant-foreign-0.10.2-1.fc27, ghc-servant-options-0.1.0.0-1.fc27, ghc-servant-server-0.12-1.fc27, ghc-tar-conduit-0.1.1-1.fc27, ghc-wreq-0.5.1.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ab1fe26287

Comment 6 Fedora Update System 2017-12-02 22:38:36 UTC
ghc-hspec-2.4.4-1.fc26, ghc-hspec-core-2.4.4-1.fc26, ghc-servant-0.12-1.fc26, ghc-servant-client-core-0.12-1.fc26, ghc-servant-server-0.12-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1e88ebe293

Comment 7 Fedora Update System 2017-12-12 11:19:38 UTC
ghc-RSA-2.2.0-1.fc27, ghc-authenticate-oauth-1.6-1.fc27, ghc-codec-rpm-0.2.0-1.fc27, ghc-conduit-combinators-1.1.1-1.fc27, ghc-content-store-0.2.0-1.fc27, ghc-gi-gio-2.0.14-1.fc27, ghc-gi-glib-2.0.14-1.fc27, ghc-gi-gobject-2.0.15-1.fc27, ghc-gi-ostree-1.0.5-1.fc27, ghc-haskell-gi-0.20.3-1.fc27, ghc-haskell-gi-overloading-1.0-2.fc27, ghc-hspec-2.4.4-1.fc27, ghc-hspec-core-2.4.4-1.fc27, ghc-lzma-conduit-1.1.3.3-1.fc27, ghc-mono-traversable-1.0.2-1.fc27, ghc-servant-0.12-1.fc27, ghc-servant-client-0.12.0.1-1.fc27, ghc-servant-client-core-0.12-1.fc27, ghc-servant-foreign-0.10.2-1.fc27, ghc-servant-options-0.1.0.0-1.fc27, ghc-servant-server-0.12-1.fc27, ghc-tar-conduit-0.1.1-1.fc27, ghc-wreq-0.5.1.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-12-12 13:42:10 UTC
ghc-hspec-2.4.4-1.fc26, ghc-hspec-core-2.4.4-1.fc26, ghc-servant-0.12-1.fc26, ghc-servant-client-core-0.12-1.fc26, ghc-servant-server-0.12-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.